Issue 127100 - Make NSIS 3.* a build requirement for building Windows installers
Summary: Make NSIS 3.* a build requirement for building Windows installers
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: code (show other issues)
Version: 4.2.0-dev
Hardware: PC Windows, all
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.3
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 127628
  Show dependency tree
 
Reported: 2016-09-03 22:29 UTC by Ariel Constenla-Haile
Modified: 2017-12-10 18:43 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---
pats: 4.1.3_release_blocker+


Attachments
Patch based on branch AOO410 (14.17 KB, patch)
2016-09-07 21:49 UTC, Ariel Constenla-Haile
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2016-09-03 22:29:26 UTC
Currently, the build system does some weird build-time NSIS version checking to detect the version and the Unicode support, see http://svn.apache.org/viewvc/openoffice/trunk/main/solenv/bin/modules/installer/download.pm?view=markup#l897

We should make NSIS 3.* a build requirement at configure time when msi is among the selected package formats. The advantage is that NSIS 3.0 comes with Unicode support out of the box (there is no need to install the Unicode version of NSIS), while it also fixes several issues, among them some security issues like https://sourceforge.net/p/nsis/bugs/1125/
Comment 1 orcmid 2016-09-05 21:39:39 UTC
(In reply to Ariel Constenla-Haile from comment #0)
> We should make NSIS 3.* a build requirement at configure time when msi is
> among the selected package formats. The advantage is that NSIS 3.0 comes
> with Unicode support out of the box (there is no need to install the Unicode
> version of NSIS), while it also fixes several issues, among them some
> security issues like https://sourceforge.net/p/nsis/bugs/1125/

It would be interesting to add this to the AOO410 branch (i.e., 4.1.2) and confirm that the resulting installer is 4.1.2 and there is nothing else impacted beyond the customizations that would be used with the NSIS 3.*.

This should be an easy way to confirm that a stable release that already exists is installed essentially the same with an upgraded installer.  Then we could merge the same patches into whatever the next release is.
Comment 2 Ariel Constenla-Haile 2016-09-07 21:49:40 UTC
Created attachment 85664 [details]
Patch based on branch AOO410
Comment 3 SVN Robot 2016-09-14 05:16:35 UTC
"arielch" committed SVN revision 1760629 into branches/AOO413:
i127100 - Build Windows installer with NSIS >= 3.0
Comment 4 Ariel Constenla-Haile 2016-10-05 22:46:18 UTC
This is fixed on AOO413, must be merged into trunk (I'll reopen the issue after the release)
Comment 5 SVN Robot 2016-10-21 14:30:17 UTC
"arielch" committed SVN revision 1766031 into trunk:
i127100 - Build Windows installer with NSIS >= 3.0
Comment 6 Ariel Constenla-Haile 2016-10-21 14:32:27 UTC
Closing, available fix committed on trunk.